## peony-extensions 1.1.1

=== debian/changelog ===
peony-extensions (1.1.1-0ubuntu2) bionic; urgency=medium

  * Drop peony-gksu (with handsome_feng's approval). gksu is being removed
    from Ubuntu (LP: #1764201)
  * Use dh_installdocs instead of dh_installchangelogs since
    dh_installchangelogs doesn't operate in Ubuntu
  * Drop explicit --parallel since it's the default in newer dh compat levels

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 18 Apr 2018 08:29:16 -0400

peony-extensions (1.1.1-0ubuntu1) bionic; urgency=medium

  * Initial release. (LP: #1740465)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 30 Jan 2018 09:14:41 +0800
