## peony-extensions 1.1.2

=== debian/changelog ===
peony-extensions (1.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #913874)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 16 Nov 2018 15:13:45 +0800
