=== peony-extensions-cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(peony-qt-extensions-cmake VERSION 0.1 LANGUAGES CXX)

#add_subdirectory(peony-qt-admin)
add_subdirectory(peony-qt-share)
