=== debian/changelog ===
peony-extensions (2.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fix that sometimes failed to open terminal.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 26 Mar 2020 15:19:56 +0800

peony-extensions (2.0.1-1) unstable; urgency=medium

  * New upstream bugfix-only release.
    - Not allowed to open in admin or compress against the computer and
      trash.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Mar 2020 15:34:06 +0800

peony-extensions (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Rewrite the plugins according to the peony-2.0.0.
  * debian/control:
    - Drop peony-image-converter, peony-sendto, peony-wallpaper,
      peony-xattr-tags.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 20 Feb 2020 19:50:04 +0800

peony-extensions (1.1.5-1) unstable; urgency=medium

  * New upstream release.
    - Remove the useless icons.
  * debian/control:
    - Bump standards-version to 4.5.0.
  * debian/peony-wallpaper.lintian-overrides:
    - Add library-not-linked-against-libc override for peony-wallpaper
      extension file.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 18 Feb 2020 20:19:18 +0800
