=== debian/control ===
Source: peony-extensions
Section: x11
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>,
Build-Depends: debhelper-compat (= 12),
               cmake,
               pkg-config,
               libglib2.0-dev,
               qt5-qmake,
               qtbase5-dev,
               qtchooser,
               qtbase5-dev-tools,
               libpoppler-qt5-dev,
               libpeony-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ukui/peony-extensions
Vcs-Git: https://github.com/ukui/peony-extensions.git
Vcs-Browser: https://github.com/ukui/peony-extensions

Package: peony-share
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2,
         samba-common-bin
Description: Allows one to quickly share a folder from the Peony file manager
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 The Peony share extension allows you to quickly share a folder from the
 Peony file manager without requiring root access. It uses Samba, so your
 folders can be accessed by any operating system.

Package: parchives
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2,
         engrampa
Description: Peony qt plugin for file compress and uncompress
 Parchives is an archive manager for the UKUI environment. You can use
 this plugin to compress or uncompress file or folder.
 .
 This package adds extended functionality to the Peony file manager.

Package: peony-open-terminal
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2,
         mate-terminal
Description: Peony plugin for opening terminals in arbitrary local paths
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 peony-open-terminal is a proof-of-concept Peony extension
 which allows you to open a terminal in arbitrary local folders.
