## peony-extensions 3.0.1

=== debian/changelog ===
peony-extensions (3.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 26 Sep 2020 20:49:59 +0800

peony-extensions (3.0.0-2) unstable; urgency=medium

  * No-change source only upload

 -- Aron Xu <aron@debian.org>  Wed, 09 Sep 2020 14:47:30 +0800

peony-extensions (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Add peony-extension-computer-view, peony-set-wallpaper,
      peony-admin, peony-extensions.
    - Remove hardcodes dependency on libpeony. (Closes: #968661)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 20 Aug 2020 10:06:58 +0800
