=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
+           He Meihong <hemeihong@kylinos.cn>
 Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
@@ -13,7 +14,8 @@
                qtchooser,
                qtbase5-dev-tools,
                libpoppler-qt5-dev,
-               libpeony-dev
+               libpeony-dev,
+               libgsettings-qt-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ukui/peony-extensions
@@ -24,8 +26,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2,
-         samba-common-bin
+         samba-common-bin,
+         samba
 Description: Allows one to quickly share a folder from the Peony file manager
  Peony is the official file manager for the UKUI desktop. This
  package adds extended functionality to the Peony file manager.
@@ -38,7 +40,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2,
          engrampa
 Description: Peony qt plugin for file compress and uncompress
  Parchives is an archive manager for the UKUI environment. You can use
@@ -50,7 +51,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2,
          mate-terminal
 Description: Peony plugin for opening terminals in arbitrary local paths
  Peony is the official file manager for the UKUI desktop. This
@@ -58,3 +58,53 @@
  .
  peony-open-terminal is a proof-of-concept Peony extension
  which allows you to open a terminal in arbitrary local folders.
+
+Package: peony-extension-computer-view
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Peony plugin for displaying computer:/// with more information
+ Peony is the official file manager for the UKUI desktop. This
+ package adds extended functionality to the Peony file manager.
+ .
+ peony-extionsion-computer-view is a proof-of-concept Peony extension
+ which allows user browsering computer:/// with more information, which
+ not provided in icon view and list view.
+
+Package: peony-set-wallpaper
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Peony plugin for right click a picture to set as wallpaper
+ Peony is the official file manager for the UKUI desktop. This
+ package adds extended functionality to the Peony file manager.
+ .
+ In addition to set wallpaper in ukui-control-center, you can select a
+ picture and right click to quickly set as wallpaper.
+
+Package: peony-admin
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         policykit-1
+Description: Peony plugin for open files or directories as admin
+ Peony is the official file manager for the UKUI desktop. This
+ package adds extended functionality to the Peony file manager.
+ .
+ peony-extionsion-computer-view is a proof-of-concept Peony extension
+ which allows user open files or directories with higher permission.
+
+Package: peony-extensions
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         parchives,
+         peony-share,
+         peony-open-terminal,
+         peony-extension-computer-view,
+         peony-admin,
+         peony-set-wallpaper
+Description: Peony qt extensions
+ Peony is the official file manager for the UKUI desktop. This
+ package is a metapackage, which adds extended functionality to
+ the Peony file manager.
