## peony-extensions 3.0.2

=== debian/changelog ===
peony-extensions (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix the build errors. (Closes: #975139)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 30 Nov 2020 14:08:27 +0800
