## peony-extensions 3.2.4

=== debian/changelog ===
peony-extensions (3.2.4-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:58:27 +0000

peony-extensions (3.2.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:21:47 +0000

peony-extensions (3.2.4-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:37:05 +0000

peony-extensions (3.2.4-1ubuntu1) jammy; urgency=medium

  * d/patches: add fix-crash-while-open-computer-viewer.patch.
    (LP: #1969109)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 15 Apr 2022 14:13:57 +0800

peony-extensions (3.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 23 Feb 2022 09:00:39 +0800

peony-extensions (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 27 Sep 2021 14:58:03 +0800
