=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: peony-extensions
 Section: x11
 Priority: optional
-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
            He Meihong <hemeihong@kylinos.cn>
@@ -15,8 +16,10 @@
                qtbase5-dev-tools,
                libpoppler-qt5-dev,
                libpeony-dev,
-               libgsettings-qt-dev
-Standards-Version: 4.5.0
+               libgsettings-qt-dev,
+               libudisks2-dev,
+               libnotify-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ukui/peony-extensions
 Vcs-Git: https://github.com/ukui/peony-extensions.git
@@ -40,7 +43,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         engrampa
+Recommends: engrampa
 Description: Peony qt plugin for file compress and uncompress
  Parchives is an archive manager for the UKUI environment. You can use
  this plugin to compress or uncompress file or folder.
@@ -51,7 +54,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         mate-terminal
+Recommends: mate-terminal
 Description: Peony plugin for opening terminals in arbitrary local paths
  Peony is the official file manager for the UKUI desktop. This
  package adds extended functionality to the Peony file manager.
@@ -83,28 +86,28 @@
  In addition to set wallpaper in ukui-control-center, you can select a
  picture and right click to quickly set as wallpaper.
 
-Package: peony-admin
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         policykit-1
-Description: Peony plugin for open files or directories as admin
- Peony is the official file manager for the UKUI desktop. This
- package adds extended functionality to the Peony file manager.
- .
- peony-extionsion-computer-view is a proof-of-concept Peony extension
- which allows user open files or directories with higher permission.
+#Package: peony-admin
+#Architecture: any
+#Depends: ${misc:Depends},
+#         ${shlibs:Depends},
+#         policykit-1
+#Description: Peony plugin for open files or directories as admin
+# Peony is the official file manager for the UKUI desktop. This
+# package adds extended functionality to the Peony file manager.
+# .
+# peony-extionsion-computer-view is a proof-of-concept Peony extension
+# which allows user open files or directories with higher permission.
 
 Package: peony-extensions
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          parchives,
-         peony-share,
          peony-open-terminal,
          peony-extension-computer-view,
-         peony-admin,
+#         peony-admin,
          peony-set-wallpaper
+Recommends: peony-share, 
 Description: Peony qt extensions
  Peony is the official file manager for the UKUI desktop. This
  package is a metapackage, which adds extended functionality to
